<script setup>
const props = defineProps([
    'assay',
    'active'
])
</script>

<template>
<div class="d-flex ml-10 pointer-cursor hover" @click="$emit('choose')">
    <div class="me-2">
        <v-icon
            icon="mdi-test-tube"
            size="small"
        ></v-icon>
    </div>
    <div :class="[{ 'font-weight-bold': active }, 'me-auto', 'text-truncate']">{{ assay.name ? assay.name : "No name" }}</div>
</div>
</template>

<style>
.pointer-cursor {
    cursor: pointer;
}

.hover:hover {
    background-color: #f2f2f2;
}
</style>
